:# Test of MakeIndex for PC DOS
:# [11-Apr-1994]


echo off
echo ##################################################
echo Expect only letter case differences in the output,
echo and differences in the program name in the banner.
echo and possibly in the dynamic memory usage.
echo ##################################################


echo ##################################################
echo test file = b209a
..\src\makeindx b209a
diff okay\b209a.ind b209a.ind
diff okay\b209a.ilg b209a.ilg


echo ##################################################
echo test file = b209b
..\src\makeindx b209b
diff okay\b209b.ind b209b.ind
diff okay\b209b.ilg b209b.ilg


echo ##################################################
echo test file = b209c
..\src\makeindx b209c
diff okay\b209c.ind b209c.ind
diff okay\b209c.ilg b209c.ilg


echo ##################################################
echo test file = b209d
..\src\makeindx b209d
diff okay\b209d.ind b209d.ind
diff okay\b209d.ilg b209d.ilg


echo ##################################################
echo test file = b209e
..\src\makeindx b209e
diff okay\b209e.ind b209e.ind
diff okay\b209e.ilg b209e.ilg


echo ##################################################
echo test file = b209f
..\src\makeindx b209f
diff okay\b209f.ind b209f.ind
diff okay\b209f.ilg b209f.ilg


echo ##################################################
echo test file = b210a (Private style file)
..\src\makeindx -s b210a.mst b210a
diff okay\b210a.ind b210a.ind
diff okay\b210a.ilg b210a.ilg


echo ##################################################
echo test file = b211a
..\src\makeindx b211a
diff okay\b211a.ind b211a.ind
diff okay\b211a.ilg b211a.ilg


echo ##################################################
echo test file = b211b (German sort option)
..\src\makeindx -s b211b.mst -g b211b
diff okay\b211b.ind b211b.ind
diff okay\b211b.ilg b211b.ilg


echo ##################################################
echo test file = b211c
..\src\makeindx -s b211c.mst b211c
diff okay\b211c.ind b211c.ind
diff okay\b211c.ilg b211c.ilg


echo ##################################################
echo test file = b211d
..\src\makeindx b211d
diff okay\b211d.ind b211d.ind
diff okay\b211d.ilg b211d.ilg


:# b211e has a Ctl-Z, which is a problem on PC DOS
:# b211h is the same file, minus that one line
:# echo ##################################################
:# echo test file = b211e
:# ..\src\makeindx b211e
:# diff okay\b211e.ind b211e.ind
:# diff okay\b211e.ilg b211e.ilg


echo ##################################################
echo test file = b211f
..\src\makeindx b211f
diff okay\b211f.ind b211f.ind
diff okay\b211f.ilg b211f.ilg


echo ##################################################
echo test file = b211g
..\src\makeindx b211g
diff okay\b211g.ind b211g.ind
diff okay\b211g.ilg b211g.ilg


echo ##################################################
echo test file = b211h
..\src\makeindx b211h
diff okay\b211h.ind b211h.ind
diff okay\b211h.ilg b211h.ilg


echo ##################################################
echo test file = b213a
..\src\makeindx b213a
diff okay\b213a.ind b213a.ind
diff okay\b213a.ilg b213a.ilg


echo ##################################################
echo test file = b213b
..\src\makeindx b213b
diff okay\b213b.ind b213b.ind
diff okay\b213b.ilg b213b.ilg


echo ##################################################
echo test file = b213c
..\src\makeindx b213c
diff okay\b213c.ind b213c.ind
diff okay\b213c.ilg b213c.ilg


echo ##################################################
echo test file = b213d
..\src\makeindx b213d
diff okay\b213d.ind b213d.ind
diff okay\b213d.ilg b213d.ilg


echo ##################################################
echo test file = b213e
..\src\makeindx b213e
diff okay\b213e.ind b213e.ind
diff okay\b213e.ilg b213e.ilg


echo ##################################################
echo test file = b213f
..\src\makeindx -s b213f.mst b213f
diff okay\b213f.ind b213f.ind
diff okay\b213f.ilg b213f.ilg


echo ##################################################
echo test file = b213g
..\src\makeindx -s b213g.mst b213g
diff okay\b213g.ind b213g.ind
diff okay\b213g.ilg b213g.ilg


echo ##################################################
echo test file = b213h
..\src\makeindx b213h
diff okay\b213h.ind b213h.ind
diff okay\b213h.ilg b213h.ilg


echo ##################################################
echo test file = b213i
..\src\makeindx b213i
diff okay\b213i.ind b213i.ind
diff okay\b213i.ilg b213i.ilg


echo ##################################################
echo test file = b213j
..\src\makeindx b213j
diff okay\b213j.ind b213j.ind
diff okay\b213j.ilg b213j.ilg


echo ##################################################
echo test file = b213k
..\src\makeindx b213k
diff okay\b213k.ind b213k.ind
diff okay\b213k.ilg b213k.ilg


echo ##################################################
echo test file = b213l
..\src\makeindx b213l
diff okay\b213l.ind b213l.ind
diff okay\b213l.ilg b213l.ilg


echo ##################################################
echo test file = b213m
..\src\makeindx b213m
diff okay\b213m.ind b213m.ind
diff okay\b213m.ilg b213m.ilg


echo ##################################################
echo test file = b213n
..\src\makeindx -d -e b213n.ost -i -q -s b213n.mst -t b213n.ilg <NUL >NUL
diff okay\b213n.ilg b213n.ilg
diff okay\b213n.ost b213n.ost


echo ##################################################
echo test file = b213o
..\src\makeindx -d -e b213o.ost -i -q -s b213o.mst -t b213o.ilg <NUL >NUL
diff okay\b213o.ilg b213o.ilg
diff okay\b213o.ost b213o.ost


echo ##################################################
echo test file = book
..\src\makeindx book
diff okay\book.ind book.ind
diff okay\book.ilg book.ilg


:# This test is too large to run on PC DOS.
:# echo ##################################################
:# echo test file = heck
:# ..\src\makeindx -s heck.mst heck
:# diff okay\heck.ind heck.ind
:# diff okay\heck.ilg heck.ilg


echo ##################################################
echo test file = test
..\src\makeindx test
diff okay\test.ind test.ind
diff okay\test.ilg test.ilg


echo ##################################################
echo test file = tort
..\src\makeindx tort
diff okay\tort.ind tort.ind
diff okay\tort.ilg tort.ilg
